Bug 869188 - Review Request: openlmi-storage - CIM providers for storage management
Review Request: openlmi-storage - CIM providers for storage management
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 04:49 EDT by Jan Safranek
Modified: 2016-11-30 19:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:42:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2012-10-23 04:49:48 EDT
This is a re-review for package rename, original name is cura-storage.

Spec URL: http://people.redhat.com/jsafrane/cura-storage/openlmi-storage.spec
SRPM URL: http://people.redhat.com/jsafrane/cura-storage/openlmi-storage-0.4.0-1.fc17.src.rpm

Description:
The openlmi-storage package contains CMPI providers for management of storage
using Common Information Managemen (CIM) protocol.

The providers can be registered in any CMPI-aware CIMOM, both OpenPegasus and
SFCB were tested.

Fedora Account System Username: jsafrane
Comment 1 Jan Safranek 2012-10-23 05:21:22 EDT
I fixed openlmi-mof-register script name, new packages are available at:

Spec URL: http://people.redhat.com/jsafrane/cura-storage/openlmi-storage.spec
SRPM URL: http://people.redhat.com/jsafrane/cura-storage/openlmi-storage-0.4.0-2.fc17.src.rpm
Comment 2 Radek Novacek 2012-10-23 08:24:35 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/radek/review/869188
     -openlmi-storage/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (openlmi-storage-0.4.0.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openlmi-storage-0.4.0-2.fc19.src.rpm
          openlmi-storage-0.4.0-2.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openlmi-storage
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
openlmi-storage-0.4.0-2.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    anaconda  
    cmpi-bindings-pywbem  
    openlmi-providers  
    python(abi) = 2.7
    sblim-cmpi-base  



Provides
--------
openlmi-storage-0.4.0-2.fc19.noarch.rpm:
    
    cura-storage = 0.4.0-2.fc19
    openlmi-storage = 0.4.0-2.fc19



MD5-sum check
-------------
https://fedorahosted.org/released/openlmi-storage/openlmi-storage-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : a91bce73b7eb800cc3cb27de8bfed7cf435986832cdc67f4cab578bb1e8fe502
  CHECKSUM(SHA256) upstream package : a91bce73b7eb800cc3cb27de8bfed7cf435986832cdc67f4cab578bb1e8fe502

Built with local dependencies:
    /home/radek/review/openlmi/openlmi-fan-0.0.10-1.fc17.x86_64.rpm
    /home/radek/review/openlmi/openlmi-providers-0.0.10-1.fc17.x86_64.rpm
    /home/radek/review/openlmi/openlmi-service-0.0.10-1.fc17.x86_64.rpm
    /home/radek/review/openlmi/openlmi-powermanagement-0.0.10-1.fc17.x86_64.rpm
    /home/radek/review/openlmi/openlmi-account-0.0.10-1.fc17.x86_64.rpm
    /home/radek/review/openlmi/openlmi-providers-devel-0.0.10-1.fc17.x86_64.rpm


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 869188 -m fedora-rawhide-x86_64 -L openlmi/
Comment 3 Radek Novacek 2012-10-23 08:26:55 EDT
Please make dependency on openlmi-providers versioned (at least 0.0.10 is required for those registration scripts).

No serious issues found, setting fedora-review+.
Comment 4 Jan Safranek 2012-10-23 08:32:05 EDT
New Package SCM Request
=======================
Package Name: openlmi-storage
Short Description: CIM providers for storage management
Owners: jsafrane
Branches: f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-10-23 09:12:07 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-10-23 11:42:47 EDT
openlmi-storage-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openlmi-storage-0.4.0-2.fc18
Comment 7 Fedora Update System 2012-10-23 11:43:02 EDT
openlmi-storage-0.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openlmi-storage-0.4.0-2.fc17
Comment 8 Fedora Update System 2012-10-23 15:47:40 EDT
openlmi-storage-0.4.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-12-20 10:42:38 EST
openlmi-storage-0.4.0-2.fc18, konkretcmpi-0.8.7-7.fc18, openlmi-networking-0.0.5-3.fc18, openlmi-providers-0.0.12-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.